/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package Celbercor;

import java.io.*;

/** (Step 1) This class represents a message sent by the end client to
 * request a session key from the authentication server.  It is send
 * unencrypted.  */

public class AuthenticationRequestMessage
  implements Serializable
{
  public AuthenticationRequestMessage( String endClientName, 
				       String serviceName )
    {
      myEndClientName = endClientName;
      myServiceName = serviceName;
    }

  public String getEndClientName()
    {
      return myEndClientName;
    }
  
  public String getServiceName()
    {
      return myServiceName;
    }

  private String myEndClientName;
  private String myServiceName;
}
