/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
import java.security.*;
import java.security.spec.*;
import javax.crypto.*;
import javax.crypto.spec.*;

public class Foo
{
  public static final String CIPHER = "PBEWithMD5AndDES";

  public static final byte[] SALT = {
    (byte)0xc7, (byte)0x73, (byte)0x21, (byte)0x8c,
    (byte)0x7e, (byte)0xc8, (byte)0xee, (byte)0x99
  }; 

  public static final int COUNT = 21;

  public static void main( String args[] )
    {
      Provider sunJCE = new com.sun.crypto.provider.SunJCE();
      Security.addProvider(sunJCE);

      try
	{
	  PBEKeySpec spec = new PBEKeySpec( "fred".toCharArray() );
	  SecretKeyFactory f = SecretKeyFactory.getInstance( CIPHER );
	  SecretKey key = f.generateSecret( spec );
	  System.out.println( "Format:" + key.getFormat() );
	  SecretKeySpec spec2 = new SecretKeySpec( key.getEncoded(),
						   key.getFormat() );
	  SecretKey key2 = f.generateSecret( spec2 );
	  if( key.equals( key2 ) )
	    {
	      System.out.println( "Okay" );
	    }
	  else
	    {
	      System.out.println( "Oops" );
	      System.out.println( "" + key );
	      System.out.println( "" + key2 );
	    }
	}
      catch( Exception ex )
	{
	  ex.printStackTrace();
	}
    }
}
