/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package ChatRoom.Tools;

import java.io.*;

/** This class represents a companion writer to DataInputReader.
 * @see ChatRoom.Tools.DataInputReader
 */

public class DataOutputWriter
  implements Writer
{
  public DataOutputWriter( DataOutput output )
    {
      myOutput = output;
    }

  /** Does the actual work of writing a message.  */

  public static void writeMessage( DataOutput out, Message m )
    throws IOException
    {
      // All these output functions use big-endian (network) byte
      // order.

      out.writeByte( m.getName().length() );
      out.writeBytes( m.getName() );
      out.writeInt( m.getText().length() );
      out.writeBytes( m.getText() );
    }

  /**
   * Sends the message.
   */

  public void deliverMessage( Message m )
    throws IOException
    {
      writeMessage( myOutput, m );
    }

  private DataOutput myOutput;
}
