/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package ChatRoom.Tools;

/** This is a simple struct kind of class that holds a <tt>Reader</tt>
 * and a <tt>Writer</tt>.  It exists so functions can effectively
 * return a reader and a writer at the same time. */

public class RWPair
{
  
  /** Construct a pair where the given reader and writer talk to a
   * user with the given name.  */

  public RWPair( Reader r, Writer w, String name )
    {
      myReader = r;
      myWriter = w;
      myName = name;
    }

  public Reader getReader()
    {
      return myReader;
    }

  public Writer getWriter()
    {
      return myWriter;
    }

  public String getName()
    {
      return myName;
    }

  private Reader myReader;
  private Writer myWriter;
  private String myName;
}
